complexType "CrossCurrencyMethod"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | cashSettlementReferenceBanks?, cashSettlementCurrency[0..2], quotationRateType?
</...>

Content Model Elements (3):

  cashSettlementCurrency (in crossCurrencyMethod), cashSettlementReferenceBanks (in crossCurrencyMethod), | quotationRateType (in crossCurrencyMethod)

All Direct / Indirect Based Elements (1):

  crossCurrencyMethod

Known Usage Locations

- As direct type of elements (1):
  crossCurrencyMethod

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CrossCurrencyMethod"> <xsd:sequence> <xsd:element minOccurs="0" name="cashSettlementReferenceBanks" type="CashSettlementReferenceBanks"/> <xsd:element maxOccurs="2" minOccurs="0" name="cashSettlementCurrency" type="Currency"/> <xsd:element minOccurs="0" name="quotationRateType" type="QuotationRateTypeEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
cashSettlementCurrency

  Type: | Currency, simple content

  The currency, or currencies, in which the cash settlement amount(s) will be calculated and settled. While the order in which the currencies are stated is unimportant, the cash settlement currency or currencies must correspond to one or both of the constituent currencies of the swap transaction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="cashSettlementCurrency" type="Currency"/>

cashSettlementReferenceBanks

  Type: | CashSettlementReferenceBanks, complex content

  A container for a set of reference institutions. These reference institutions may be called upon to provide rate quotations as part of the method to determine the applicable cash settlement amount. If institutions are not specified, it is assumed that reference institutions will be agreed between the parties on the exercise date, or in the case of swap transaction to which mandatory early termination is applicable, the cash settlement valuation date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashSettlementReferenceBanks" type="CashSettlementReferenceBanks"/>

quotationRateType

  Type: | QuotationRateTypeEnum, simple content

  Which rate quote is to be observed, either Bid, Mid, Offer or Exercising Party Pays. The meaning of Exercising Party Pays is defined in the 2000 ISDA Definitions, Section 17.2. Certain Definitions Relating to Cash Settlement, paragraph (j)
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Bid" | - | A bid rate. See: http://www.FpML.org
  "Ask" | - | An ask rate. See: http://www.FpML.org
  "Mid" | - | A mid-market rate. See: http://www.FpML.org
  "ExercisingPartyPays" | - | If optional early termination is applicable to a swap transaction, the rate, which may be a bid or ask rate, which would result, if seller is in-the-money, in the higher absolute value of the cash settlement amount, or, is seller is out-of-the-money, in the lower absolute value of the cash settlement amount. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotationRateType" type="QuotationRateTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.